/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "Ieee1609Dot3Wee"
 * 	found in "../Ieee1609Dot3Wee.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_ProviderServiceContext_H_
#define	_ProviderServiceContext_H_


#include <asn_application.h>

/* Including external dependencies */
#include <BIT_STRING.h>
#include <OCTET_STRING.h>
#include <constr_SEQUENCE.h>

#ifdef __cplusplus
extern "C" {
#endif

/* ProviderServiceContext */
typedef struct ProviderServiceContext {
	BIT_STRING_t	 fillBit;
	OCTET_STRING_t	 psc;
	
	/* Context for parsing across buffer boundaries */
	asn_struct_ctx_t _asn_ctx;
} ProviderServiceContext_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_ProviderServiceContext;

#ifdef __cplusplus
}
#endif

#endif	/* _ProviderServiceContext_H_ */
#include <asn_internal.h>
